import * as React from 'react';
import { IComponent, IComponentReturnType } from './Component.types';
/**
 * Assembles a higher order component based on the following: styles, theme, view, and slots.
 * Imposes a separation of concern and centralizes styling processing to increase ease of use and robustness
 * in how components use and apply styling and theming.
 *
 * @param component - component definition for the component to be created.  See IComponent for more details.
 */
export declare function compose<TComponent extends IComponent>(inputComponent: TComponent, base?: React.ReactElement<object>): IComponentReturnType<TComponent>;
